@echo off
echo.
echo CP/M Image Manager utility extension
echo CP/M Image content copier

if "%1"=="" goto usage
if "%2"=="" goto usage
if "%3"=="" goto usage

set CIMTMP="!cimtmp"

if not exist %CIMTMP% mkdir %CIMTMP%

cim %1 -x %CIMTMP%\%3
if ERRORLEVEL 1 goto error

cim %2 -e %3
if ERRORLEVEL 1 goto error

cim %2 -a %CIMTMP%\%3
if ERRORLEVEL 1 goto error

echo Done.

goto end

:error
echo Any error occured...
goto end


:usage
echo.
echo Usage:
echo imgcopy img_src img_dest file_set_mask
echo   img_src  - source CP/M image with extension
echo   img_dest - destination CP/M image with extension
echo            - files must exists!
echo   file_set_mask - the file name in CP/M 8.3 format
echo                   which can contain wildcards '*' or '?'

:end
if NOT "%CIMTMP%"=="" rmdir /S /Q %CIMTMP%
set CIMTMP=
